Ubuntu

[arrandale] Resume doesn't work on a Latitude E6410

Reported by Carlos Parra Camargo on 2010-05-11
334
This bug affects 67 people
Affects Status Importance Assigned to Milestone
Arch Linux
Invalid
Undecided
Unassigned
linux (Ubuntu)
Critical
Manoj Iyer
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: xorg

Laptop:
- Latitude E6410 Core i5 with an intel video card.
- Clean Lucid Lynx install.

Problem: it doesn't resume at all, it seems that "suspend" in a correct way but when i open the laptop trying to resume, i just get a black screen.

I've been searching around launchpad and others related sites with no luck. I've already tested:
- Turn off DRI at xorg.conf. No results.
- Update xserver-xorg-video-intel to 2.11 (from ubuntu-x-swat ppa repository). Same problem.
- I've tried 2.6.31-10-rt from official ubuntu repositories with the same result.
- Also, I've tried 2.6.33, 2.6.34-rc6 and 2.6.34-rc7 from kernel ppa but it seems that my laptop "freeze" on start with all of these kernels.

In general, my video card is a little anoying, Lucid doesn't works well with this intel video card (no resume, no scroll on the touchpad by default, a lot of problems with external monitors, ...). Anyway, let's start for the resume issue!
---
Architecture: i386
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No existe el fichero ó directorio
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Dell Inc. Latitude E6410
Package: xorg 1:7.5+5ubuntu1
PackageArchitecture: i386
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=e104645b-febc-4038-ad66-d7119d74d43b ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=es_ES.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Tags: lucid lucid
Uname: Linux 2.6.32-22-generic i686
UserGroups:

dmi.bios.date: 03/05/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A01
dmi.board.name: 04373Y
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA01:bd03/05/2010:svnDellInc.:pnLatitudeE6410:pvr0001:rvnDellInc.:rn04373Y:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6410
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.
glxinfo: Error: [Errno 2] No existe el fichero ó directorio
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-22-generic

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Bryce Harrington (bryce) on 2010-05-11
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)

Thank you Bryce.

Anyway, it could be also problem of "linux-image-2.6.32-22-generic" but i'm not sure.

Could i make any test to discover the if the origin is at the intel driver or at the linux image?

Bryce Harrington (bryce) on 2010-05-11
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
IndyCore (jan-kjerbye) wrote :

Dell E6410 ATG with Intel HD graphics. Exact same behaviour on mine.

Random lockups when compositing is enabled and a some gfx glitches in Plymouth COULD suggest an xserver-xorg-video-intel related error.

Kamal Mostafa (kamalmostafa) wrote :

@Carlos and other testers-

Please see bug LP: #553498 (comment #17) for a test kernel for Ubuntu 10.04 LTS which provides a suspend/resume fix that may fix the "always hangs on resume" problem on Intel Core i5 (and possibly i3 and i7 systems). Feedback will be much appreciated.

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Critical

@Kamal, sorry but i've a 386 arch so i can't test the test kernel (it just for "amd64"). If you can rebuild for a 386 arch i would be really thank you!

Geir Ove Myhr (gomyhr) on 2010-05-16
summary: - Resume doesn't work on a Latitude E6410
+ [arrandale] Resume doesn't work on a Latitude E6410
tags: added: arrandale lucid resume suspend
Kamal Mostafa (kamalmostafa) wrote :

I have posted a PPA build of the test kernel that I mentioned in comment #25. The PPA provides both the amd64 and i386 versions of the kernel. This kernel includes the fix for bug LP: #553498 (comment #17) -- it is a test kernel for Ubuntu 10.04 LTS which provides a suspend/resume fix that may fix the "always hangs on resume" problem on Intel Core i5 (and possibly i3 and i7 systems):

https://launchpad.net/~kamalmostafa/+archive/linux-kamal-scien

Feedback will be much appreciated.

First of all, thanks! I've just tested this Kamal kernel but I'm still having exactly the same problem.

carlospc@camelot:~$ uname -a
Linux camelot 2.6.32-22-generic #34~kamal~scien-Ubuntu SMP Tue May 18 01:14:38 UTC 2010 i686 GNU/Linux

Kamal, do you need any file log? Should i "apport-collect" again the logs?

Thanks!

Kamal Mostafa (kamalmostafa) wrote :

@Carlos - Looks like the problem must be due to some other than the SCI_EN issue - sorry that didn't do the trick. No need to apport-collect again, that test kernel won't supply any more useful data than submitted previously.

Thanks anyway! Well, i will continue researching around the ACPI Error, extracted from the syslog:

May 18 17:57:50 camelot kernel: [ 16.718853] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.LPCB.ECDV.ECR1] (Node f702e6a8), AE_TIME
May 18 17:57:50 camelot kernel: [ 16.718897] ACPI Error (psparse-0537): Method parse/execution failed [\ECRB] (Node f702e780), AE_TIME
May 18 17:57:50 camelot kernel: [ 16.718923] ACPI Error (psparse-0537): Method parse/execution failed [\ECG5] (Node f702e828), AE_TIME
May 18 17:57:50 camelot kernel: [ 16.718949] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.AC__._PSR] (Node f702ec18), AE_TIME
May 18 17:57:50 camelot kernel: [ 16.719133] ACPI Exception: AE_TIME, Error reading AC Adapter state (20090903/ac-140)

Stenten (stenten) wrote :

Reassigning to linux because suspend/resume is handled by the kernel, and Kamal (who is working on this) is in the Kernel Team. Apologies if this isn't the correct action.

affects: xserver-xorg-video-intel (Ubuntu) → linux (Ubuntu)
tags: added: i386 kernel-power

Thanks Stenten.

* I've tested the new kernel (linux-image-2.6.32-22-generic 2.6.32-22.36) but i still having the same resume problem.
* I've also tested the new BIOS version (P02 and A03, both cases) but it fails as well.

I will continue testing, if any developer need my help, just ping me!

ashayh (ashay-humane) wrote :

Hello

Same problem with a Latitude E6410 and:

01:00.0 VGA compatible controller: nVidia Corporation NVS 3100M (rev a2)

Please let me know if you want any any files/logs from me.

Stenten (stenten) wrote :

On Sat, Jun 5, 2010 at 7:00 PM, ashayh <email address hidden> wrote:

> Hello
>
> Same problem with a Latitude E6410 and:
>
> 01:00.0 VGA compatible controller: nVidia Corporation NVS 3100M (rev a2)
>
> Please let me know if you want any any files/logs from me.

This bug report is for Intel Arrandale chipsets only. Please file a new bug
report by typing "ubuntu-bug xorg" into a terminal.

Dominik (dominik-dbruhn) wrote :

I got the same problem, also a Dell E6410. If I can help by providing information please reply here or send me a message.

Dominik (dominik-dbruhn) wrote :

I gathered the following information:
1. Upgrading the Bios to A01 or A03 (the most recent Version) does not help!
2. Upgrading to the "2.6.34-020634-generic" Kernel from
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/linux-image-2.6.34-020634-generic_2.6.34-020634_amd64.deb does not help. Why this? I thought it should be fixed in upstream kernel 2.6.34, so why is it not working using that kernel?

Dominik (dominik-dbruhn) wrote :

3. Adding "acpi_sleep=sci_force_enable" to the Kernel-Commandline (like suggestes for various i5 lenovo thinkpads) doesn't help either.

It is likely that this bug also affects me on a Latitude E4310 (same CPU/video card).
My symptom is that the video does not turn on on resume. Anyway, I can switch to a console (ctrl+alt+f1) and then reboot via ctrl+alt+canc.

I also tried upgrading to Maverick, but without any success.

With a LiveCD the suspend/resume works only the first time I suspend. The second resume results in a spontaneous reboot.

Thanks for your work!

I've added Ubuntu Kernel PPA and I've installed linux-headers-2.6.35-2, linux-headers-2.6.35-2-generic, linux-image-2.6.35-2-generic (version 2.6.35-2.3~lucid1) but i get the same error trying to resume.

John Trostel (jtrostel-gmail) wrote :

starting up with notsc kernel option removes the AE_TIME errors but still doesn't return from suspend properly.

I _can_ ping or ssh to the box after resume though. So, it's running in my case, just not running the display correctly.. Can you ping or ssh Carlos?

Paulo J. S. Silva (pjssilva) wrote :

John:

I got the same here. I resumes, but the screen is blank. I can ssh into the laptop after resume.

John: I also can ping/ssh to the machine after the "black" resume. BTW, in this state, if i do "sudo /etc/init.d/gdm restart" the system freezes completely.

Florian Nisbach (florian-n) wrote :

Latitude E6510 here with Intel graphics and the same problem here. Kamal, your test kernel runs but doesn't change anything.

I've a workaround disabling KMS and creating a xorg.conf with vesa driver. If anyone is interested you can have look here [1].

[1] https://wiki.ubuntu.com/X/KernelModeSetting

Bonne Eggleston (bonne) wrote :

I have an Latitude E4310 on Karmic amd64 with the same results. Sleep works, but resume yields a black screen.

Paulo J. S. Silva (pjssilva) wrote :

I can confirm that Carlos workaround works! Thanks. The only problem is that in this case we have to use the framebuffer xorg driver, that does not support composition.

Now we know that the problem is restricted to two subsystems:

1) The kernel mode setting code (in the kernel)
2) The intel xorg driver.

I have a tendency to think the the problem is in the kernel. Maybe it is time to open a bug report upstream (in the kernel bugzilla)? Or do the others think that we should open the but in th xorg driver?

Obs: I have a very good experience with this approach. Two and a half years ago I bought I Toshiba U205 laptop and suspend did not work either. After fiddling around with some help I (and others) found out that the problem was in the HD driver. We opened a bug in kernel bugzilla and the problem was solved very fast. The key here is that the bug had clearly identified the problematic subsystem and then the kernel hacker responsible for that subsystem responded very fast. I was very happy on being able to help to solve the bug in my laptop and many others Toshiba models.

Paulo J. S. Silva (pjssilva) wrote :

I have filled a bug report on the intel graphics driver:

https://bugs.freedesktop.org/show_bug.cgi?id=28739

Let us see if we get some action there.

I apologize if this info is unhelpful or inappropriate here, but I thought I'd mention it.

I have what may the same problem described above, with getting a black screen upon resume. I have found that adding "nomodeset" to the line that says GRUB_CMDLINE_LINUX_DEFAULT="quiet splash" in my /etc/default/grub resolves the resume problem. This solution was found here:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/557224

It is my understanding that adding nomodeset turns off Kernel Mode Setting. If I am experiencing the same bug as the one discussed above, then, perhaps it is reasonable to conclude that the KMS is the problem and NOT the intel xorg driver?

My info:
Ubuntu 10.04
Kernel Linux 2.6.32-22-generic
GNOME 2.30.0
Dell Inspiron 600m
Intel Pentium M 2.00 GHz, 1 GB RAM
ATI rv250 Mobility 9000

I tried the kernel in the x-swat PPA as well, with no change. Thanks.

Paulo J. S. Silva (pjssilva) wrote :

eugenemarshall:

Thanks for sharing.

Unfortunately this does not solve the problem in mine E6410. If I turn off KMS the graphics driver fails when trying to initialize X (the screen remains blank with come leds blipping on the keyboard).

Paulo: I get this behavior if i don't change the xorg.conf, you just have to create /etc/X11/xorg.conf _before_ of restarting the system with this content:

 # /etc/X11/xorg.conf
Section "Device"
        Identifier "Configured Video Device"
        Driver "vesa" # Change this to the driver you want
EndSection

Section "Monitor"
        Identifier "Configured Monitor"
EndSection

Section "Screen"
        Identifier "Default Screen"
        Monitor "Configured Monitor"
        Device "Configured Video Device"
EndSection

After that, disable kms (i.e, as root: echo options i915 modeset=0 > /etc/modprobe.d/i915-kms.conf) and th, th, that's all folks!

BTW, with vesa driver you can't watch DVD or high resolution films... anyway, you can undo this (i've done this weekend) to watch a film and then do the trick again.

Paulo J. S. Silva (pjssilva) wrote :

Carlos:

Yes, you are right, I did not made myself clear. I know that if we use the vesa driver then we do not need KMS. I was talking about disabling KMS and trying to keep on using the intel driver. The version of the intel driver shipped with Lucid still have user mode setting (UMS) code, so it could work. However, it looks like the UMS in the intel 2.9 driver can not cope with the new Arrandale chips. Hence, it looks like for the E6410 (and E6510) we only have two choices:

1) UMS + vesa: in this case suspend works, however no 3D acceleration (no compositing) and, as you said, no HD films.

2) KMS + intel: 3D + HD work, but suspend does not work and you can not plug an external monitor after the kernel booted.

Chris, can this be fixed for 10.04.1?

Changed in linux (Ubuntu):
milestone: none → ubuntu-10.04.1
assignee: nobody → Chris Halse Rogers (raof)

Same problem with:

- linux-image-2.6.35-6-generic (2.6.35-6.9 from PPA xorg-edgers)
- xserver-xorg-video-intel (2:2.12.0+git20100709.5ce3f536-0ubuntu0sarvatt~lucid from PPA xorg-edgers)

Cheers!

henk (henk1234) wrote :

Workaround:
-Use kernel 2.6.35 from ppa:kernel-ppa/ppa
-add acpi_sleep=s3_bios to the Grub commandline
-delete /usr/lib/pm-utils/sleep.d/99video and /usr/lib/pm-utils/sleep.d/98video-quirk-db-handler

I can confirm henk's workaround (#54) using:
- linux-image-2.6.35-7-generic (2.6.35-7.12 from ppa:xorg-edgers)
- Add at grub: i915.modeset=1 acpi_sleep=s3_bios
- deleting 99video and 98video-quirk-db-handler from (/usr/lib/pm-utils/sleep.d/).

henk, really thanks! Today is my birthday so, thanks for the present!

Paulo J. S. Silva (pjssilva) wrote :

I can confirm that the workaround proposed by Henk works in my E6410. And we can use the intel driver (no need for the vesa driver anymore!)

John Trostel (jtrostel-gmail) wrote :

No joy here...

Installed kernel 2.6.35.7 from kernel-ppa
  -image
  -headers
  -tools

modified to run i915.modeset=1 and scpi_sleep=s3_bios on grub command line

deleted 99video and 98video-quirk-db-handler (moved them to x99... and x98...) from /usr/lib/pm-utils/

still get blank screen on resume for both shutdown menu and lid closure..

What am I doing wrong?

On Wed, Jul 14, 2010 at 1:48 PM, John Trostel <email address hidden> wrote:
> No joy here...
>
> Installed kernel 2.6.35.7 from kernel-ppa
>  -image
>  -headers
>  -tools
>
> modified to run i915.modeset=1 and scpi_sleep=s3_bios on grub command
> line
>

Above it should read acpi_sleep=s3_bios. Moreover, did you deleted
(or moved away)
/etc/X11/xorg.conf?

> deleted 99video and 98video-quirk-db-handler (moved them to x99... and
> x98...) from /usr/lib/pm-utils/

Maybe you should try to move those two files to another directory
temporarily (maybe your home folder)?

>
> still get blank screen on resume for both shutdown menu and lid
> closure..
>
> What am I doing wrong?
>

Too question.

--
Paulo José da Silva e Silva
Professor Associado, Dep. de Ciência da Computação
(Associate Professor, Computer Science Dept.)
Universidade de São Paulo - Brazil

e-mail: <email address hidden>         Web: http://www.ime.usp.br/~pjssilva

John Trostel (jtrostel-gmail) wrote :

Sorry, I had acpi_sleep written in the grub config, just typed it wrong here..

the 99video and 98video-quirk files definitely need to be moved out of the /usr/lib/pm-utils/sleep.d directory ... Moved them into my home directory and now sleep resumes!

Christophe Dumez (hydr0g3n) wrote :

I can confirm that henk's workaround fixed resume here on my Latitude E4310. Thanks a lot!

Steven Yelton (steveny) wrote :

I can confirm that this fixed suspend/resume on my Dell Latitude E6510. To install that kernel I did have to patch the Broadcom source to get dkms to compile the wireless driver with that kernel, but it is a known problem (and I'm sure is fixed). This kernel also seemed to have the fix for https://bugs.launchpad.net/bugs/561802 in it. Thank you very much, I know have everything working on this laptop (webcam, microphone, sound, suspend, intel video drivers).

Paulo J. S. Silva (pjssilva) wrote :

There is a patch (which looks quite simple) in the freedesktop companion bug report:

https://bugs.freedesktop.org/show_bug.cgi?id=28739

I have applied this patch against the 2.6.35-8-generic from the kernel team ppa and it works without the acpi_sleep=s3_bios option (or the changes to pm-config). I have an E6410.

Colin Watson (cjwatson) on 2010-07-20
Changed in linux (Ubuntu):
milestone: ubuntu-10.04.1 → ubuntu-10.04.2
Manoj Iyer (manjo) wrote :

Can you please test the lucid kernel in

http://people.canonical.com/~manjo/lp578673-lucid/

and report back here?

Changed in linux (Ubuntu):
assignee: Chris Halse Rogers (raof) → Manoj Iyer (manjo)
status: Confirmed → Incomplete
Paulo J. S. Silva (pjssilva) wrote :

Can you make an amd64 version available or post the patch against a kernel source we can grab so I can test?

Manoj Iyer (manjo) wrote :

I uploaded a 64bit kernel to the same location.

http://people.canonical.com/~manjo/lp578673-lucid/

Hankyone (hankyone) wrote :

Tested patch for i386 and the computer successfully woke up from suspend.

Paulo J. S. Silva (pjssilva) wrote :

Interesting, I have just tested the amd64 kernel on an E6410 and the system did not turned the screen back on after suspend. Anouar, aside from using i386 have you upgrade any other component, like xorg drivers?

Hankyone (hankyone) wrote :

I actually tested it remotely so the screen might have not turned on
Could the black screen be related to: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/561802 ?

I will try the workaround to get the screen working in the first place and test again.

Paulo J. S. Silva (pjssilva) wrote :

The fact that the laptop resumes and can be accessed remotely was already known and already works in the current Lucid kernel, see comment #40. The problem currently is that the resume does not "turn the internal LCD panel on".

There are some workarounds in this report (use vesa graphics or acpi_sleep=s3_bios). But I believe that Manoj wants reports on people using clean Lucid without any workaround on.

John Trostel (jtrostel-gmail) wrote :

Manoj's kernel also did NOT work for me on my E6410 after reversing the acpi_sleep and /usr/lib/pm-utils mods.

Hankyone (hankyone) wrote :

No success here also, screen did not turn on.

I've been using workaround described on #55 for a week and i've to say that is not working perfectly. More or less, this is the result of the resumes:

* 50%: works ok.
* 30%: the screen keeps black (same result as the beginning).
* 20%: the screen turns on, I can see the text mode but it doesn't finish the resume process.

FYI!

Manoj Iyer (manjo) wrote :

Thanks for testing my kernel and reporting results. I have uploaded yet another kernel to
http://people.canonical.com/~manjo/lp578673-lucid/
I am feeling very confident that this one will fix this issue. Can you please test this one and report back here ?

Paulo J. S. Silva (pjssilva) wrote :

Unfortunately it did not work for me. Actually I did not turned the screen on during boot. The screen remained blank all the time but I could know that he boot was successful because I could hear the drums sound when gdm kicks in. I had to move to the console with ctrl+f1 and reboot with ctrl+alt+del. The console is also blank. Hence I could not even test suspend.

Hankyone (hankyone) wrote :

@Manoj
Could you make a i386 version of your new kernel available please?

henk (henk1234) wrote :

It looks like this kernel suffers from bug #561802: [i915] blank screen on Latitude E6410

John Trostel (jtrostel-gmail) wrote :

The screen also remained blank for me on my E6410 with Manoj's latest kernel. I also then rebooted woth ctrl+f1, ctrl+alt+del.

Chris Van Hoof (vanhoof) wrote :

@john @henk -- does your screen remain black throughout the boot process, or _only_ when returning from resume?

henk (henk1234) wrote :

the screen remains blank throughout the boot process, so I was unable to test the suspend/resume.
Bug #561802 has a patch for this problem, which works on my E6510

pvillela (pvillela) wrote :

Henk's workaround worked fine for my Dell E6410 (with Intel HD video). Many
thanks, Henk.

PVillela

On Wed, Jul 14, 2010 at 9:14 AM, henk <email address hidden> wrote:

> Workaround:
> -Use kernel 2.6.35 from ppa:kernel-ppa/ppa
> -add acpi_sleep=s3_bios to the Grub commandline
> -delete /usr/lib/pm-utils/sleep.d/99video and
> /usr/lib/pm-utils/sleep.d/98video-quirk-db-handler
>
> --
> [arrandale] Resume doesn't work on a Latitude E6410
> https://bugs.launchpad.net/bugs/578673
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xorg
>
> Laptop:
> - Latitude E6410 Core i5 with an intel video card.
> - Clean Lucid Lynx install.
>
> Problem: it doesn't resume at all, it seems that "suspend" in a correct way
> but when i open the laptop trying to resume, i just get a black screen.
>
> I've been searching around launchpad and others related sites with no luck.
> I've already tested:
> - Turn off DRI at xorg.conf. No results.
> - Update xserver-xorg-video-intel to 2.11 (from ubuntu-x-swat ppa
> repository). Same problem.
> - I've tried 2.6.31-10-rt from official ubuntu repositories with the same
> result.
> - Also, I've tried 2.6.33, 2.6.34-rc6 and 2.6.34-rc7 from kernel ppa but it
> seems that my laptop "freeze" on start with all of these kernels.
>
> In general, my video card is a little anoying, Lucid doesn't works well
> with this intel video card (no resume, no scroll on the touchpad by default,
> a lot of problems with external monitors, ...). Anyway, let's start for the
> resume issue!
> ---
> Architecture: i386
> DistroRelease: Ubuntu 10.04
> DkmsStatus: Error: [Errno 2] No existe el fichero ó directorio
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> MachineType: Dell Inc. Latitude E6410
> Package: xorg 1:7.5+5ubuntu1
> PackageArchitecture: i386
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic
> root=UUID=e104645b-febc-4038-ad66-d7119d74d43b ro quiet splash
> ProcEnviron:
> PATH=(custom, no user)
> LANG=es_ES.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
> Tags: lucid lucid
> Uname: Linux 2.6.32-22-generic i686
> UserGroups:
>
> dmi.bios.date: 03/05/2010
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A01
> dmi.board.name: 04373Y
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 9
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.:bvrA01:bd03/05/2010:svnDellInc.:pnLatitudeE6410:pvr0001:rvnDellInc.:rn04373Y:rvrA00:cvnDellInc.:ct9:cvr:
> dmi.product.name: Latitude E6410
> dmi.product.version: 0001
> dmi.sys.vendor: Dell Inc.
> glxinfo: Error: [Errno 2] No existe el fichero ó directorio
> system:
> distro: Ubuntu
> codename: lucid
> architecture: i686
> kernel: 2.6.32-22-generic
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673/+subscribe
>

Manoj Iyer (manjo) wrote :

Backported patches from Jesse Barns, let me know if this works.

http://kernel.ubuntu.com/~manjo/lucid/lp578673/

The kernel in #81 works for me. It resumes correctly, but with the light dimmed out. I can increase the screen backl light with the corresponding function key and everything seems to work OK (Dell E6410 with Intel Graphic card, not NVDIA).

My experience of the kernel in #81 is the same as Walter's on a Dell E5410 (Intel graphics card too).

Corona (stefaniefauconnier) wrote :

Thanks Manoj, I'll test this kernel next weekend on my E6510. Where did you find the patches and can we also apply them to 2.6.35 kernels?

Corona (stefaniefauconnier) wrote :

Those are compiled 2.6.32 kernels, I was asking for the actual patches Manoj was referring to.

My apologies. Too eager to help you see. :-)

works here too... with dimmed display that is recoverable...

On 07/26/2010 04:46 PM, Manoj Iyer wrote:
> Backported patches from Jesse Barns, let me know if this works.
>
> http://kernel.ubuntu.com/~manjo/lucid/lp578673/
>
>

Paulo J. S. Silva (pjssilva) wrote :

Also works with dimmed display for me in a E6410. I can also recover the display using the correct function key.

Obs: Note that in a patched 2.6.35 kernel I also have running the resume does not present this dimming problem.

Ameet Paranjape (ameetp) on 2010-07-28
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Steve Conklin (sconklin) wrote :

SRU Justification:

Impact: This bug cases black screen on resume for many users
Fix: Backported patches from upstream driver tree
Testcase: The bug can be easily reproduced, and can be tested by the affected users

Changed in linux (Ubuntu):
status: Triaged → In Progress

FYI, i'm working on Ubuntu Maverick (installed from alpha2) on my E6410 and i have the same problem (added to others of this machine: not touchpad scrolling, system hangs when i connect an external monitor, ...).

If you need to test a kernel for maverick, here i am!

Corona (stefaniefauconnier) wrote :

The patches which were backported to the 2.6.32 kernel by Manoj are already in drm-intel-next, I hope they will land in the Maverick kernel.

Great! I've just tested it and 2.6.35-997-generic works on maverick.

Steve Conklin (sconklin) on 2010-08-03
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Corona (stefaniefauconnier) wrote :

For those who want to try this kernel, the packages can be found here http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/2010-08-02-maverick/ . I guess they will also work on lucid.

Corona (stefaniefauconnier) wrote :

OK, I'll have to take that back - under lucid, 2.6.35-997-generic gives a blank screen on boot for me.

@Corona: when i tested various drm-intel-next on lucid, i got (like you) the black screen on boot (i don't know why).

Anyway, on maverick works pretty well (if fixes this bug and #610387).

Corona (stefaniefauconnier) wrote :

Looks like I'll have to install Maverick then. Manoj's kernel with backported patches (the one in lp578673) does not work for me, I've compiled drm-intel-next from source but no luck. I still hope for a solution for lucid though.

henk (henk1234) wrote :

The black screen bug was fixed in upstream kernel 2.6.35-rc6, but reintroduced in kernel 2.6.35 final. See: https://bugzilla.kernel.org/show_bug.cgi?id=16496

Corona (stefaniefauconnier) wrote :

Thanks, henk, that makes it even more difficult to test newer kernels.

Are there other people for who Manoj's kernel (#81) does not fix the suspend/resume issue? I have an e6510 with an intel core i5, intel integrated graphics. I'm running lucid 32bit and so far only henk's workaround has worked, so the proposed fix does not solve the problem for me. If it turns out that it works for e6410 but not e6510 I'll open a separate bug.

pvillela (pvillela) wrote :

Manoj's kernel in #81 works for me the same as described by Walter in #82. I have E6410, i5, Intel graphics, Lucid 64bit.

Manuel Carro (mcarro) wrote :

@ Corona (#99)

I have a E6510 with Intel HD, full HD screen. Manoj's kernels do not work for me (blank screen with default options, lock with two keyboard leds blinking is "modeset" is added as kernel option; xforcevesa does not help - blank screen again). Anyway I understand that Manoj is addressing E6410's issues.

I have been testing other kernels and this is what I have found so far:

* drm-intel-next kernel 2.6.35-997 does not work (same behavior as Manoj's kernels).

* Two versions of RC6 for 2.6.35 (2.6.35-13.18 and 2.6.35-020635rc6) mostly work in lucid: they boot using the intel driver and they can hibernate and resume, but trying to resume after suspending does not work.

I could not try an external monitor / projector. I am using xserver-xorg 1:7.5+5ubuntu1 and xserver-xorg-video-intel 2:2.9.1-3ubuntu5. I suppose that the drm-intel-next kernel needs a new X Window stack?

Hope this helps.

Manuel Carro (mcarro) wrote :

A comment on #101: hibernate / resume is not reliable with the 2.6.35 rc6 kernels I tried.

Paulo J. S. Silva (pjssilva) wrote :

I believe we should be careful not to hijack this bug report with other issues. It is about resume from suspend (not hibernate) in machines with the intel graphics card. It also assumes that your machine is usable before suspend. If you machine already boots to a blank screen, I believe you have another problem.

So, for this specific issue, kernel

linux-image-2.6.35-14-generic

from the kernel ppa https://launchpad.net/~kernel-ppa/+archive/ppa

To test it, just add the ppa and install linux-generic-lts-backport-maverick package.

My laptop has other issues with the screen specially if I try to connect an external monitor. With an external monitor suspend is unreliable, but probably we should open a new bug report for this and I pretend do it once I am confident that this first bug is fixed.

Emil Styrke (emil-styrke) wrote :

I have this issue, but on E5410 (core i3+arrandale). Resume works apart from the screen being blank, i.e. I can ssh into the box and reboot it.

However, the backported kernel in #103 does not work for me. I think there is some improvement, because now the backlight turns on, but still no image. If it helps, I can post the kernel log from the resume attempt.

Emil Styrke (emil-styrke) wrote :

Update: When the display backlight is shut down by power management, after a failed resume, everything goes back to normal again (i.e. pressing any key turns on the screen and shows the screen lock prompt).

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Paulo J. S. Silva (pjssilva) wrote :

Martin,

I already had lucid-proposed enabled but I did not find any new kernel there, is it in lucid-update already?

I even tried to manually inspect

http://archive.ubuntu.com/ubuntu/dists/lucid-proposed/main/binary-amd64/Packages.bz2

to see if I could find a linux-image in there but there wasn't any.

What is exactly the package you want us to install (the name I can give to apt-get)?

I am running linux-image-2.6.32-24-generic which seems like the latest kernel image available but it does not work.

@Paula, i had the same problem but i've just realized that you can find the packages here [1].

This kernel fixes the issue:

Package: linux-image-2.6.35-18-generic
Version: 2.6.35-18.24~lucid1

Cheers!

[1] https://launchpad.net/~kernel-ppa/+archive/ppa/+packages

Emil Styrke (emil-styrke) wrote :

@Carlos: that kernel is a pre-proposed one, and as far as I can tell not the one referred to in #106. Thus, I still have the same question as Paulo.

Florian Nisbach (florian-n) wrote :

I didnt find 35-18 either, but I installed 2.6.35-17-generic from kernel-ppa and it does the trick. Suspend and wakeup works cleanly.

Chris Van Hoof (vanhoof) wrote :

Verified this fix on a E6410

klacke (klacke) wrote :

I'm running lucid, Latitude e6410, Intel i915 graphics and I'm still experiencing precisely the same resume problems with both kernel/ppa kernels 2.6.35-19-generic #25~lucid1-Ubuntu and 2.6.35-18-generic #25~lucid1-Ubuntu

Am I missing something, I haven't done anything except installing and trying these kernels.

Martin Pitt (pitti) on 2010-08-27
tags: added: verification-done
removed: verification-needed
Julien Cornuwel (cornuwel) wrote :

I've got the same problem on lucid amd64 with an E6510 (Intel HD).
The problem occurs with the following kernels :
- 2.6.32-24.41
- 2.6.36-999.201008301119

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-24.42

---------------
linux (2.6.32-24.42) lucid-proposed; urgency=low

  [ Upstream Kernel Changes ]

  * (pre-stable) drm/i915: add PANEL_UNLOCK_REGS definition
    - LP: #561802, #578673
  * (pre-stable) drm/i915: make sure eDP panel is turned on
    - LP: #578673
  * (pre-stable) drm/i915: make sure we shut off the panel in eDP configs
    - LP: #578673
 -- Stefan Bader <email address hidden> Thu, 19 Aug 2010 15:20:42 +0200

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released

Confirming this fixes issue in Dell E5410 i5 with Intel video card.

One strange behavior now is that on resume the display brightness is all the way down. Toggling the brightness fixes this.

Thanks for working this through!

dragilla (dragilla) wrote :

On my dell (e6410 with intel hda and 4gb ram) the problem is still present. Is the bug fixed in pae kernel as well?
luke@dragilla:~$ uname -a
Linux dragilla 2.6.32-24-generic-pae #42-Ubuntu SMP Fri Aug 20 15:37:22 UTC 2010 i686 GNU/Linux

Maybe I don't fully understand, but to utilize my 4gb ram I need to use the pae kernel?

Paulo J. S. Silva (pjssilva) wrote :

I also confirm, as togume, that the latest 2.6.32-25-generic fixes the problem. And I also need to turn on back light using the keyboard.

Using the latest 2.6.35 kernel for the ppa the laptop also resumes and in this case the back light works without any intervention.

Emil Styrke (emil-styrke) wrote :

I can't even verify the fix - on my E5410 core i3, the screen doesn't even turn on during boot using 2.6.32-25.42 (however, the boot seems to go fine otherwise). I, like dragilla, use the PAE kernel, I also tried the normal one, but then there was some trouble detecting my hard drive and I couldn't boot at all.

Passing i915.modeset=0 gives me the boot graphics, but I get a kernel panic at some point during boot (flashing keyboard leds). With the maverick backport from kernel-ppa (2.6.35) I can boot, but after suspend/resume the screen is black (with backlight) until power management kills the backlight. At that point I get back graphics when I touch the keyboard or mouse.

Florian Nisbach (florian-n) wrote :

I can confirm the behaviour that togume (#116) abd Paulo (#118) r0eport, on my E6510. Backlight stays absolutely off after suspend, <Fn>-<Up> turning it on again. With the 35-17 kernel from kernel-PPA, backlight came back on by itself. Has anyone looked into the source if/how the patch was changed?

Michael Elkins (sigpipe) wrote :

@Emil the black screen on boot on the E6410 with Intel IGP is being tracked at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/561802. I'm not sure how similar the E5410 is, but I get that same behavior on my E6410.

dragilla (dragilla) wrote :

Please guys help out here. Maybe I'm missing something. I tried both kernels mentioned above (in pae version) and in both after resume from suspend I get black screen with backlight on. I can hear everything has started (the skype connecting sound) but I can't see anything. I can't even ctrl-alt-f1 or anything. Is there anything else I should do to make this work?
Hibernation and resume works fine.
I have e6410 with i5 520, 4gb of ram and Intel gfx.

CesarS (cesarsoplin) wrote :

With 2.6.32-24-generic Lucid, but, latitude e4310

same problem #119 #122, wake up : black screen

thank a lot

dragilla (dragilla) wrote :

I checked the workaround posted in comment #54 and it worked. But when I have a virtualbox launched and VM running and I put the system to sleep, the machine doesn't wake up properly - I can only see a cursor blinking. Should I create a bug report for this?

Kernel 2.6.32-24.43 (linux-image-2.6.32-24-generic) did NOT resolve the issue for me on an E6410ATG with Intel graphics running 64-bit Lucid.

Upon resume-from-suspend, my screen is black and backlight is off. I can turn the backlight on by Alt-Up, but the screen remains black. Switching to a virtual console and back does not help. Restarting GDM (/etc/init.d/gdm restart) does not help. I confirmed that the computer is not locked-up.

Booting works fine. Hibernate works fine. Power management is set to blank screen on lid closure, and that works fine as well (screen is displayed after opening lid.)

Running Lucid LTS on an E6410 with Intel HD graphics and Core i7, 64-bit. The kernel (linux-image-2.6.35-14-generic) in comment #103 worked beautifully for me; I can now suspend and resume to my heart's content. Thanks!

Oswald-p (oswaldpp) wrote :

Same problem here with Ubuntu 10.10 64bits on a E6410 (intel graphic card).

The screen does not resume after suspend and the computer needs to be "hard" power off.

O-p

Michal (mikeos) wrote :

I've got success with the latest 2.6.36 mainline kernel dev snapshot:

http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/2010-10-13-maverick/
(don't try the rc7 on any older snapshot - just this one worked)

Using the standard Maverick 10.10 x64 installation which includes nVidia proprietary 260.x beta driver series

How-to:
1) installed the kernel headers, headers-generic, image from the above URL
2) make sure that dkms has rebuilt the nvidia.ko for this kernel, otherwise you're out of luck with Xorg
3) sudo chmod -x /usr/lib/pm-utils/sleep.d/94cpufreq (otherwise 2nd resume when running on batteries may fail; please report if this was needed by trying multiple suspend/resume cycles with AC power disconnected)

Reboot. No more frozen system stuck on black screen on resume, no matter if resumed while on AC or on battery power.

Michal (mikeos) wrote :

WARNING : I forgot to remind everyone that using pre-release kernels is dangerous, using kernel daily snapshots IS VERY DANGEROUS and could lead to data loss or any kind of irreversible damage to your system.

Users not willing to risk are advised to try the above method once the final version of 2.6.36 kernel is released, which is expected very soon..

bagl0312 (bagl0312) wrote :

I think I am affected by the same bug on a dell precision M4500 I7 CPU and graphic card Quadro FX 880M with ubuntu maverick 10.10 64bits.
Hibernate works, but suspend/resume does not work. The computer goes in suspend mode but it does not wakeup.

Øyvind Stegard (oyvinst) wrote :

Resume from suspend on Dell E6510 (BIOS A05) using Ubuntu Lucid 10.04 x86-64 fails (black screen on resume) with the linux-image-generic-lts-backport-maverick kernel (2.6.35.22.34) in Lucid proposed, but works with the standard Lucid kernel (2.6.32-25).

Nvidia driver is latest stable: 260.19.12, laptop has NVS 3100M graphics adapter. So the newer Maverick kernel regresses suspend/resume on this laptop (at least on Lucid).

Changed in linux (Ubuntu Maverick):
status: New → Invalid
Michal (mikeos) wrote :

Why marked as invalid? My testing (just using different kernels, otherwise keeping the same configuration):

- Lucid Kernel 2.6.32-25 -> OK
- Mainline 2.6.33 -> K.O.
- Mainline 2.6.34 -> K.O.
- Maverick 2.6.35 -> K.O.
- Mainline since 2.6.36rc8 -> OK*
- Natty 2.6.36-0 -> OK*

* second resume (only when resuming on battery power) mostly fails

bagl0312 (bagl0312) wrote :

I confirm that suspend/resume works very well on my dell precision M4500 with kernel 2.6.36 just released and ubuntu 10.10 amd64. It was not working with standard kernel for maverick 2.6.35

I followed suggestion #129 using kernel 2.6.36 taken from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.36-maverick/

Up to now there is no need to apply:

sudo chmod -x /usr/lib/pm-utils/sleep.d/94cpufreq

since resume seems to work also running on battery without problems

I am also using latest nvidia drivers 260.19.12:

sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install nvidia-current nvidia-settings

Michal (mikeos) wrote :

I think I identified the problem on my system Dell Latitude E6410 with Intel i7 CPU.
Disabling Intel SpeedStep feature in BIOS does the trick. Battery life decrease seems insignificant thanks to power management assured by CPU C-states. What's interesting that the CPU multiplier is still variable (according to i7z) even with SpeedStep disabled, though the very low frequencies and turbo-boost frequency are never reached in contrast with SpeedStep enabled setup with ondemand governor.

Successfully tested on 20 consecutive suspend/resume cycles on battery, same on AC power.

Why does resume with SpeedStep enabled *only* fail when the machine is running on battery power remains unknown. Before forcibly disabling SpeedStep in BIOS I did a lot of different tests, disabling any possible PM scripts which either modified CPU governors (as e.g. /usr/lib/pm-utils/sleep.d/94cpufreq seems to do) or report the power state to other scripts (like /usr/lib/pm-utils/functions) forcing it to report that the machine is on AC-power even though it was not. Nothing was reliable enough.

Is it a BIOS bug? Someone with Dell Latitude e6410, BIOS rev.A05, Intel i7 M 620@2.67GHz can report the resume behavior when running on batteries with SpeedStep enabled? Both variants with either nVidia or Intel GFX should suffer from the same problem (if my laptop is not unique...)

Michal (mikeos) wrote :

When setting GRUB option to "acpi_sleep=nonvs" described here:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/656279/comments/41
the black screen on resume is fixed on Maverick kernel 2.6.35. With 2.6.36 kernel this GRUB option isn't necessary.
In both cases resume on battery (with SpeedStep enabled) fails due to CPU freezing like I already described.

Michal (mikeos) wrote :

Apparently my resume problem on batteries is caused by kernel race condition related to Intel Idle Driver. I filed a separate bug for this:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/665891

Shubh (shubh) wrote :

Same exact problem with my Dell Vostro 1088. It doesn't come out of resume. I just get a black screen. My touchpad scroll doesn't work too.

Michal (mikeos) wrote :

It has proven incorrect assuming that the problem is caused by linux CPU power management. With a special kernel, where cpufreq is modularized (http://www.linux-phc.org/) i was able to completely remove cpufreq thus finally nothing was managing CPU frequency scaling (P-states), I also disabled intel_idle driver which manages C-states. Btw. powertop looks really cute when the upper C-states and P-states monitoring area is empty ;-)
The result is still the same - system freezes on S3 resume from batteries.
I still confirm that with SpeedStep disabled in BIOS the laptop resumes perfectly with full CPU power management enabled; however this seems to be just a coincidence proving nothing about the real cause of the problem.
Same behavior observed with A03, A04 and A05 BIOS.

Anyone here with Latitude E6410 can test S3 resume on batteries and post the results including their HW/SW specs? Please try at least 5 successive suspend/resume cycles without AC-power plugged in.

It would be nice to know at minimum whether just a certain HW configuration is affected (e.g. models with nVidia card).

Radko Bankras (radko-bankras) wrote :

Mikeos,
By your request I have tried some things on my E6410 (i7 M620, nVidia, Ubuntu 10.10, 2.6.35-22-generic kernel). Resume from suspend fails when running on battery and works fine when using AC power. I have updated from A01 to A05 BIOS, which did not help to fix this issue. Also, I had the SpeedStep feature disabled in the BIOS and that did not help. I haven't tried the GRUB option yet. Let me know how I can help further.

Michal (mikeos) wrote :

Radko, your feedback is very appreciated. For 2.6.35 and older kernels you need to apply acpi_sleep option into GRUB like this:

1) $ sudo nano /etc/default/grub
2) Search for GRUB_CMDLINE_LINUX="" and make it look like GRUB_CMDLINE_LINUX="acpi_sleep=nonvs"
3) Save and run: $ sudo update-grub2
4) reboot

(instructions above are valid for GRUB 2 which comes by default since Lucid i believe)

With 2.6.36 kernels GRUB editing is no longer necessary.
Expected result: always resumes on AC; almost always fails on battery-power; always resumes on both AC and batteries with SpeedStep disabled in BIOS. Disabling SpeedStep (CPU Frequency Scaling) by other methods like forcing CPU governor to performance or unloading cpufreq module (which is not possible on standard recent kernels, because it is no more a separately loadable module) does not have the same effect like disabling SpeedStep in BIOS.

Paweł Paprota (ppawel) wrote :

I reported a similar bug in Archlinux's bugtracker:

https://bugs.archlinux.org/task/20886

My laptop is Dell E6510 with NVIDIA NVS 3100M. I've been affected by suspend/resume problems but recently (about 4-5 days) it just works... I am not sure if this is because of upgrading to 2.6.36 - it worked for a day or two on 2.6.35. Nothing else changed that I can recall. I am using pm-suspend for suspending.

@mikeos:
Suspend/resume works since I added the "acpi_sleep=nonvs" kernel option, without disabling SpeedStep in BIOS. (Haven't tried too extensively, but did it successfully 6-7 times.)

I'm on a Dell Latitude e6410, NVS 3100M (driver: 260.19.12), 2.6.35-22-generic #35-Ubuntu.

If I disable SpeedStep, I'm getting loads of 'MCP power or thermal limit exceeded' messages in /var/log/syslog.

Oswald-p (oswaldpp) wrote :

I have also tried the tip described by mikeos on post #141 on my E6410 (intel video card) but with no success...

I am using Ubuntu 64 bit with the kernel 2.6.35-22 generic as reported by Kristof Bajnok...

Don't understand what's happening here...

O-p

Michal (mikeos) wrote :

Oswald, the problem about which I am writing essays here seems to be very different from anyone elses problem like I realized today.
I suppose the workaround proposed in comment #54 could fix it for you.

-
Being desperate because of trying virtually any possible Linux kernel tweaking, various nVidia nouveau+proprietary drivers, modifying nVidia card registry, physically unplugging PCI cards, disabling everything possible in BIOS etc., I decided to install Windows 7 (tried both clean install and whole range of Dell drivers stuff) supposing that of course no such issue would appear. The contrary was true! Same problem under Windows. Dell technician is about to bring a replacement CPU, mainboard and battery. I'll report the results when replacements are done.

Paulo J. S. Silva (pjssilva) wrote :

As I said in comment #103 we should be careful not to hijack this bug report. The original bug report was about a E6410 with intel graphics and a core i5. I have such a machine as the original reporter and my laptop is resuming flawlessly with Ubuntu 10.10 kernel (2.6.35-22).

Are there any other people here with laptop with those specs who can confirm that the Macerick kernel works?

If that is the case, I would kindly suggest people with other hardware to open specific bugs. For example, people with core i7 that are having problems with resuming when speedstep is on in the bios. The same for people with nvidia cards. By doing so, we can allow this bug to be closed and have new specific bugs for other problems so that the developers can have better clues on how to solve them.

I have exactly a Dell E6410 with your specs and resuming works flawlessly for the Maverick kernel.

Keith (lutalo) wrote :

FYI, I also suffer from the suspend/hibernate crash issue, (I use a Dell Inspiron).

I recently installed the suspend tool found in the Ubuntu software center and my issue has been solved. I'd recommend the debuggers to cross reference that tool to see if it sheds any light on the situation and for those of you suffering from the issue, I'd try the tool to see if it resolves your problem.

On Ubuntu Software Center, select "system" and search "suspend"

"Smartly puts your computer to sleep (suspend RAM or disk)"

Oswald-p (oswaldpp) wrote :

Thank you Keith

Unfortunately it doesn't work on the E6410 (Core i7, intel Graphics HD).

O-p

On my machine (Core i7 M620, Intel Arrandale graphics) a reliable suspend / resume only works if:
* the ubuntu splash screen is disabled
* the system switches to a text console before suspend

The first can be achieved by removing the 'quiet splash' from the grub kernel command line.
The latter can e.g. be achieved by installing uswsusp and running s2ram.

Jim Ciallella (jimc) wrote :

A SOLUTION that worked for me.

Dell E6410, Core i7, Nvidia NVS 3100M that would not resume from suspend or hibernate. Backlight comes on, but screen remains black when it comes out of suspend.

Tried a bunch of things, read a bunch of thread. This worked in one quick change.

- Edit /etc/default/grub from the command line via sudo
- Set the GRUB_CMDLINE_LINUX_DEFAULT variable as follows:

GRUB_CMDLINE_LINUX_DEFAULT="nouveau.modeset=0 acpi_sleep=nonvs"

- Run “sudo update-grub” at the command-line
- Restart Ubuntu

Solution credit is due to http://vxlabs.com/2010/11/30/ubuntu-10-10-x86_64-on-your-dell-e6410-with-nvs-3100m-gpu/

Also, I found that deactivating the Nvidia driver through System >> Administration >> Additional Drivers would also prevent the suspend problem. The instant I re-enabled the Nvidia driver it would not resume. The fix mentioned immediately above works with the Nvidia driver enabled too.

Michal (mikeos) wrote :

Jim, does you E6410 resume from suspend reliably like this even when unplugged from AC power? E6410 of mine systematically freezes on second or third resume when running on batteries only. When it runs on AC adapter, resume is always reliable. I am not using Hibernate because of not willing to wear out the SSD.

@mikeos: I have the exact same symptoms with a Latitude E6500 although I didn't realise it doesn't occur when plugged in. I'll have to check that.

Beside that I also have failures going into suspend and even with the system spontaneously waking up from suspend with the lid closed(!) Do you recognize that as well?

Jim Ciallella (jimc) wrote :

RE: Solution #151

So far it suspends / restores very reliable. Works on battery or A/C. Works for suspend or hibernate (which is slow and I don't intend to use). Suspends properly whether I close the lid or use the Suspend menu option. Restores properly whether I open the lid or use the power button. I have yet to figure any combination that doesn't work.

I'm running Ubuntu 10.10, 64-bit, 2.6.35-23 kernel on a Dell E6410, Core i7, Nvidia NVS 3100M, 5GB RAM.

I had the exact same black screen on restore problem running the 32-bit. I tested and #151 fixed it on the 32-bit too.

Michal (mikeos) wrote :

Gaby: no such problem here with spontaneous resume from suspend. Could it be a Wake-On-LAN packet that is waking-up your laptop?

Jim: What's exactly your CPU Core i7 model? I tested different DDR3 RAM sizes from two distinct vendors, no difference. My CPU is Core i7-620 @ 2.66 GHz which seems to be the precondition for the issue to appear.

I dare to say that: any E6410 + GPU nVidia NVS 3100M + CPU Core i7-620 @ 2.66GHz = freeze on resume from STR on batteries sooner or later

BIOS rev. A04, A05, A06 plays no role as well as amount of installed RAM or its vendor or additional miniPCI devices. I didn't go that far to physically unplug the fingerprint reader or further HW hacking.

Funny. My 6500 has Intel Graphics so the nouveau setting won't do anything. I'm going to try the acpi_sleep=nonvs though.

Jim Ciallella (jimc) wrote :

I have a Core i7-620 @2.8GHz

The problem only happened for me when the NVIDIA driver is being used. With solution #151 I'm able to suspend reliably even with the NVIDIA driver. My feeling is that it's the NVIDIA video driver.

I don't know anything about the nouveau.modeset=0 acpi_sleep=nonvs values to speak intelligently about it, but if I knew where to start I'd be looking at how the NVS 3100M + the NVIDIA driver + the nouveau.modeset=0 acpi_sleep=nonvs settings work together.

Jim Ciallella (jimc) wrote :

Sorry, Core i7-640 @2.8GHz

Pete Graner (pgraner) on 2011-01-10
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Chris Van Hoof (vanhoof) on 2011-02-18
tags: added: hwe-blocker
Changed in linux (Ubuntu Maverick):
status: Invalid → Fix Released
Changed in archlinux:
status: New → Invalid
jhoechtl (johann-hoechtl) wrote :

This bug report is helplessly cluttered with various different problems and configurations. Nobody can draw any helpful information out of it.

An E6410 is equipped with an i5 processor and either Nvidia or Intel HD graphics. It certainly has no i7 installed.

There seems to be no reliable fix as of yet.

I can confirm this bug for Ubuntu 11.10, Linux deneb 3.0.0-13-generic #22-Ubuntu SMP Wed Nov 2 13:27:26 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux for the Intel HD Graphics and BIOS Rev. A05

This bug report must not be closed as the bug persists.

Michal (mikeos) wrote :

> An E6410 is equipped with an i5 processor and either Nvidia or Intel
> HD graphics. It certainly has no i7 installed.
E6410 with Core i7 has been commonly available for purchase.

> There seems to be no reliable fix as of yet.
Depends for what. Apparently even the latest BIOS rev. A10 did not solve freezing on resume from suspend to RAM when the laptop is powered on batteries. Occurs on Windows as well. This is a hardware or BIOS bug. Ubuntu or Linux kernel cannot be blamed for it.

This hardware or BIOS bug causing the system to hang on resume (system completely frozen) should not be interchanged with black screen (video broken but otherwise the system is alive).

I would suggest that you open a more specific bug report for your issue, this one is helplessly cluttered like you said.

I have an E6410, Intel® Core™ i7 CPU M 620 @ 2.67GHz × 4
Nvidia NVS 3100M/PCI/SSE2
Dual Boot: Ubuntu 11.10 64-bit, Win 7 64bit
Bios was A06, now A09.

I've never had a problem with Win7 resuming from being suspended. Just Ubuntu. I tried many things over the past year and a half but nothing had worked. I'm not convinced that it is a hardware issue-- Try this. It's a simple hack but it works for me!

$ sudo cp /etc/acpi/lid.sh /etc/acpi/lid.sh.bak
$ sudo rm /etc/acpi/lid.sh
$ sudo cp /etc/acpi/sleepbtn.sh /etc/acpi/lid.sh

Michal (mikeos) wrote :

Is a hardware (BIOS) issue, nothing OS specific. Seems that A12 BIOS (maybe A11 which I did not test; A10 was still buggy) does fix the issue.

my laptop is not detect the hibernate option what i do.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.